Skip to main content

Create Order v2

Create order asynchronously

Request Body REQUIRED
shippingAddress object REQUIRED
city string REQUIRED

Provide full city name

country string REQUIRED

Country name to be passed as per ISO2 format. Example: US, DE, FR, etc.

firstName string REQUIRED
lastName string REQUIRED
middleName string
phone string REQUIRED
postalCode string REQUIRED
streetName string
streetNumber string
region string

Required only for customers in the US. The region must be passed as per the ISO2 format. Example: region=AL for Alabama

company string

Company name if applicable. It will be printed as a part of the shipping label

returnAddress object REQUIRED
city string REQUIRED

Provide full city name

country string REQUIRED

Country name to be passed as per ISO2 format. Example: US, DE, FR, etc.

phone string REQUIRED
postalCode string REQUIRED
streetName string
streetNumber string
company string REQUIRED
stateOrProvince string REQUIRED
street1 string REQUIRED
merchantOrderId string REQUIRED
fakeOrder boolean REQUIRED
childResellerEmail string
createdDate string REQUIRED
items object[] REQUIRED
productConfiguration string REQUIRED

Product configuration ID pertaining to the type of line item

quantity number REQUIRED
fileUrls string[]
documentReferenceUrl string
attributes object REQUIRED
skuId string
userNotes string
prioritySet string REQUIRED
docReview string
customCode object
unspsCode object
merchantItemId object
uploadedFiles string[]
customAttributes object

Custom attributes for the line item

billingProfileKey string
userNotes string
currency string
errorLog string[]

List of transformation failures for this order

Responses
201